using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace DBOPS
{

  public class Create : System.Windows.Forms.Form
  {
    private System.Windows.Forms.TextBox textBox1;
    public string tablename;
    public string indexname;
    public string indextype;
    public int indexLen;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.Button button2;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.TextBox textBox2;
    private System.Windows.Forms.Label label3;
    private System.Windows.Forms.ComboBox comboBox1;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.TextBox textBox3;

    private System.ComponentModel.Container components = null;

    public Create()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();

      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    protected override void Dispose( bool disposing )
    {
      if(disposing)
      {
        if(components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    #region Windows Form Designer generated code
    private void InitializeComponent()
    {
      this.textBox1 = new System.Windows.Forms.TextBox();
      this.button1 = new System.Windows.Forms.Button();
      this.label1 = new System.Windows.Forms.Label();
      this.button2 = new System.Windows.Forms.Button();
      this.label2 = new System.Windows.Forms.Label();
      this.textBox2 = new System.Windows.Forms.TextBox();
      this.label3 = new System.Windows.Forms.Label();
      this.comboBox1 = new System.Windows.Forms.ComboBox();
      this.label4 = new System.Windows.Forms.Label();
      this.textBox3 = new System.Windows.Forms.TextBox();
      this.SuspendLayout();
      //
      // textBox1
      //
      this.textBox1.Location = new System.Drawing.Point(112, 8);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new System.Drawing.Size(136, 20);
      this.textBox1.TabIndex = 0;
      this.textBox1.Text = "";
      //
      // button1
      //
      this.button1.DialogResult = System.Windows.Forms.DialogResult.OK;
      this.button1.Location = new System.Drawing.Point(16, 136);
      this.button1.Name = "button1";
      this.button1.TabIndex = 1;
      this.button1.Text = "Create";
      this.button1.Click += new System.EventHandler(this.button1_Click);
      //
      // label1
      //
      this.label1.Location = new System.Drawing.Point(8, 16);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(80, 16);
      this.label1.TabIndex = 2;
      this.label1.Text = "Table Name";
      //
      // button2
      //
      this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.button2.Location = new System.Drawing.Point(168, 136);
      this.button2.Name = "button2";
      this.button2.TabIndex = 3;
      this.button2.Text = "Cancel";
      this.button2.Click += new System.EventHandler(this.button2_Click);
      //
      // label2
      //
      this.label2.Location = new System.Drawing.Point(8, 40);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(80, 24);
      this.label2.TabIndex = 4;
      this.label2.Text = "Index Name";
      //
      // textBox2
      //
      this.textBox2.Location = new System.Drawing.Point(112, 40);
      this.textBox2.Name = "textBox2";
      this.textBox2.Size = new System.Drawing.Size(136, 20);
      this.textBox2.TabIndex = 5;
      this.textBox2.Text = "";
      //
      // label3
      //
      this.label3.Location = new System.Drawing.Point(8, 72);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(80, 16);
      this.label3.TabIndex = 6;
      this.label3.Text = "Index Type";
      //
      // comboBox1
      //
      this.comboBox1.Items.AddRange(new object[]{"int",
                                                 "varchar",
                                                 "datetime"});
      this.comboBox1.Location = new System.Drawing.Point(112, 72);
      this.comboBox1.Name = "comboBox1";
      this.comboBox1.Size = new System.Drawing.Size(136, 21);
      this.comboBox1.TabIndex = 7;
      this.comboBox1.Text = "Choose a Type";
      this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
      //
      // label4
      //
      this.label4.Location = new System.Drawing.Point(8, 104);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(80, 16);
      this.label4.TabIndex = 9;
      this.label4.Text = "Index Size";
      //
      // textBox3
      //
      this.textBox3.Enabled = false;
      this.textBox3.Location = new System.Drawing.Point(112, 104);
      this.textBox3.Name = "textBox3";
      this.textBox3.Size = new System.Drawing.Size(136, 20);
      this.textBox3.TabIndex = 8;
      this.textBox3.Text = "";
      //
      // Create
      //
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(264, 165);
      this.Controls.Add(this.label4);
      this.Controls.Add(this.textBox3);
      this.Controls.Add(this.comboBox1);
      this.Controls.Add(this.label3);
      this.Controls.Add(this.textBox2);
      this.Controls.Add(this.label2);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.label1);
      this.Controls.Add(this.button1);
      this.Controls.Add(this.textBox1);
      this.Name = "Create";
      this.Text = "Create";
      this.ResumeLayout(false);
    }
    #endregion

    private void button1_Click(object sender, System.EventArgs e)
    {
      tablename = textBox1.Text;
      indexname = textBox2.Text;
      indextype = comboBox1.Text;
      if(textBox3.Enabled==true)
        indexLen = Convert.ToInt32(textBox3.Text);
    }

    private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      if(comboBox1.Text=="varchar")
        textBox3.Enabled = true;
      else
        textBox3.Enabled = false;
    }

    private void button2_Click(object sender, System.EventArgs e)
    {
    }
  }

}
