using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace DBOPS
{
  public class Drop : System.Windows.Forms.Form
  {
    public string tablename;
    private System.Windows.Forms.ComboBox comboBox1;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.Button button2;
    private System.Windows.Forms.Button button1;
    private System.Data.SqlClient.SqlConnection sqlConnection1;

    private System.ComponentModel.Container components = null;

    public Drop(string connstr)
    {
      InitializeComponent();
      ArrayList tables = new ArrayList();
      sqlConnection1.ConnectionString =  connstr;
      tables = DataFunctions.ListTables(sqlConnection1.ConnectionString);

      foreach(string name in tables)
        comboBox1.Items.Add(name);

      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    protected override void Dispose(bool disposing)
    {
      if(disposing)
      {
        if(components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose( disposing );
    }

    #region Windows Form Designer generated code
    private void InitializeComponent()
    {
      this.comboBox1 = new System.Windows.Forms.ComboBox();
      this.label1 = new System.Windows.Forms.Label();
      this.button2 = new System.Windows.Forms.Button();
      this.button1 = new System.Windows.Forms.Button();
      this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
      this.SuspendLayout();
      //
      // comboBox1
      //
      this.comboBox1.Location = new System.Drawing.Point(152, 16);
      this.comboBox1.Name = "comboBox1";
      this.comboBox1.Size = new System.Drawing.Size(121, 21);
      this.comboBox1.TabIndex = 18;
      this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
      //
      // label1
      //
      this.label1.Location = new System.Drawing.Point(24, 24);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(80, 16);
      this.label1.TabIndex = 16;
      this.label1.Text = "Table Name";
      //
      // button2
      //
      this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.button2.Location = new System.Drawing.Point(184, 56);
      this.button2.Name = "button2";
      this.button2.TabIndex = 15;
      this.button2.Text = "Cancel";
      // 
      // button1
      //
      this.button1.DialogResult = System.Windows.Forms.DialogResult.OK;
      this.button1.Location = new System.Drawing.Point(32, 56);
      this.button1.Name = "button1";
      this.button1.TabIndex = 14;
      this.button1.Text = "OK";
      this.button1.Click += new System.EventHandler(this.button1_Click);
      //
      // sqlConnection1
      //
      this.sqlConnection1.ConnectionString = "workstation id=EVILMATT;packet size=4096;user id=webuser;data source=\"karpuz.cs." +
        "tamu.edu\";persist security info=True;initial catalog=BANKING;password=\"tester\"";
      //
      // Drop
      //
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(292, 93);
      this.Controls.Add(this.comboBox1);
      this.Controls.Add(this.label1);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.button1);
      this.Name = "Drop";
      this.Text = "Drop";
      this.ResumeLayout(false);
    }
    #endregion

    private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      tablename = comboBox1.Text;
    }

    private void button1_Click(object sender, System.EventArgs e)
    {
      tablename = comboBox1.Text;
    }
  }

}
