using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace DBOPS
{
  public class Query : System.Windows.Forms.Form
  {
    public string str_query;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.TextBox textBox1;
    private System.Windows.Forms.Button button2;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.ListBox listBox1;
    private System.Windows.Forms.ListBox listBox2;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.Label label3;
    private System.Data.SqlClient.SqlConnection sqlConnection1;

    private System.ComponentModel.Container components = null;

    public Query(string connstr)
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();
      ArrayList tables = new ArrayList();
      sqlConnection1.ConnectionString =  connstr;
      tables = DataFunctions.ListTables(sqlConnection1.ConnectionString);

      foreach(string name in tables)
        listBox1.Items.Add(name);

      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    protected override void Dispose(bool disposing)
    {
      if(disposing)
      {
        if(components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose( disposing );
    }

    #region Windows Form Designer generated code
    private void InitializeComponent()
    {
      this.label1 = new System.Windows.Forms.Label();
      this.textBox1 = new System.Windows.Forms.TextBox();
      this.button2 = new System.Windows.Forms.Button();
      this.button1 = new System.Windows.Forms.Button();
      this.listBox1 = new System.Windows.Forms.ListBox();
      this.listBox2 = new System.Windows.Forms.ListBox();
      this.label2 = new System.Windows.Forms.Label();
      this.label3 = new System.Windows.Forms.Label();
      this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
      this.SuspendLayout();
      //
      // label1
      //
      this.label1.Location = new System.Drawing.Point(16, 128);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(112, 16);
      this.label1.TabIndex = 0;
      this.label1.Text = "Custom SQL Query";
      //
      // textBox1
      //
      this.textBox1.Location = new System.Drawing.Point(16, 152);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new System.Drawing.Size(488, 20);
      this.textBox1.TabIndex = 1;
      this.textBox1.Text = "";
      //
      // button2
      //
      this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.button2.Location = new System.Drawing.Point(392, 184);
      this.button2.Name = "button2";
      this.button2.TabIndex = 3;
      this.button2.Text = "Cancel";
      //
      // button1
      //
      this.button1.DialogResult = System.Windows.Forms.DialogResult.OK;
      this.button1.Location = new System.Drawing.Point(48, 184);
      this.button1.Name = "button1";
      this.button1.TabIndex = 2;
      this.button1.Text = "OK";
      this.button1.Click += new System.EventHandler(this.button1_Click);
      //
      // listBox1
      //
      this.listBox1.DisplayMember = "listbo";
      this.listBox1.Location = new System.Drawing.Point(48, 40);
      this.listBox1.Name = "listBox1";
      this.listBox1.Size = new System.Drawing.Size(168, 56);
      this.listBox1.TabIndex = 4;
      this.listBox1.ValueMember = "listbo";
      this.listBox1.DoubleClick += new System.EventHandler(this.listBox1_DoubleClick);
      this.listBox1.SelectedIndexChanged += new System.EventHandler(this.listBox1_SelectedIndexChanged);
      //
      // listBox2
      //
      this.listBox2.Location = new System.Drawing.Point(288, 40);
      this.listBox2.Name = "listBox2";
      this.listBox2.Size = new System.Drawing.Size(168, 56);
      this.listBox2.TabIndex = 5;
      this.listBox2.DoubleClick += new System.EventHandler(this.listBox2_DoubleClick);
      //
      // label2
      //
      this.label2.Location = new System.Drawing.Point(48, 16);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(100, 16);
      this.label2.TabIndex = 6;
      this.label2.Text = "Tables";
      //
      // label3
      //
      this.label3.Location = new System.Drawing.Point(288, 16);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(100, 16);
      this.label3.TabIndex = 7;
      this.label3.Text = "Columns";
      //
      // sqlConnection1
      //
      this.sqlConnection1.ConnectionString = "workstation id=EVILMATT;packet size=4096;user id=webuser;data source=\"karpuz.cs." +
        "tamu.edu\";persist security info=True;initial catalog=BANKING;password=\"tester\"";
      //
      // Query
      //
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(520, 213);
      this.Controls.Add(this.label3);
      this.Controls.Add(this.label2);
      this.Controls.Add(this.listBox2);
      this.Controls.Add(this.listBox1);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.button1);
      this.Controls.Add(this.textBox1);
      this.Controls.Add(this.label1);
      this.Name = "Query";
      this.Text = "Query";
      this.ResumeLayout(false);
    }
    #endregion

    private void listBox1_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      ArrayList columns = new ArrayList();
      columns = DataFunctions.ListColumns(sqlConnection1.ConnectionString,listBox1.Text);
      listBox2.Items.Clear();

      foreach(string name in columns)
        listBox2.Items.Add(name);
    }
    private void listBox1_DoubleClick(object sender, System.EventArgs e)
    {
      textBox1.Text += listBox1.Text;
    }

    private void button1_Click(object sender, System.EventArgs e)
    {
      str_query = textBox1.Text;
    }
  
    private void listBox2_DoubleClick(object sender, System.EventArgs e)
    {
      textBox1.Text += listBox2.Text;
    }
  }

}
