using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace DBOPS
{

  public class Alter : System.Windows.Forms.Form
  {
    public string tablename;
    public string operation;
    public string colType;
    public string colName;
    public int colSize;

    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.ComboBox comboBox1;
    private System.Windows.Forms.ComboBox comboBox2;
    private System.Data.SqlClient.SqlConnection sqlConnection1;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.Button button2;
    private System.Windows.Forms.Label label3;
    private System.Windows.Forms.TextBox textBox1;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.ComboBox comboBox3;
    private System.Windows.Forms.ComboBox comboBox4;
    private System.Windows.Forms.Label label5;
    private System.Windows.Forms.TextBox textBox2;
    private System.Windows.Forms.Label label6;

    private System.ComponentModel.Container components = null;

    public Alter(string connstr)
    {
      InitializeComponent();
      ArrayList tables = new ArrayList();
      sqlConnection1.ConnectionString =  connstr;
      tables = DataFunctions.ListTables(sqlConnection1.ConnectionString);

      foreach (string name in tables)
        comboBox1.Items.Add(name);
  
      textBox1.Enabled = false;
      comboBox3.Enabled = false;
      comboBox4.Enabled = false;
      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    protected override void Dispose(bool disposing)
    {
      if(disposing)
      {
        if(components!=null)
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    #region Windows Form Designer generated code
    private void InitializeComponent()
    {
      this.button1 = new System.Windows.Forms.Button();
      this.button2 = new System.Windows.Forms.Button();
      this.label1 = new System.Windows.Forms.Label();
      this.label2 = new System.Windows.Forms.Label();
      this.comboBox1 = new System.Windows.Forms.ComboBox();
      this.comboBox2 = new System.Windows.Forms.ComboBox();
      this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
      this.label3 = new System.Windows.Forms.Label();
      this.textBox1 = new System.Windows.Forms.TextBox();
      this.label4 = new System.Windows.Forms.Label();
      this.comboBox3 = new System.Windows.Forms.ComboBox();
      this.comboBox4 = new System.Windows.Forms.ComboBox();
      this.label5 = new System.Windows.Forms.Label();
      this.textBox2 = new System.Windows.Forms.TextBox();
      this.label6 = new System.Windows.Forms.Label();
      this.SuspendLayout();
      // 
      // button1
      // 
      this.button1.DialogResult = System.Windows.Forms.DialogResult.OK;
      this.button1.Location = new System.Drawing.Point(24, 216);
      this.button1.Name = "button1";
      this.button1.TabIndex = 0;
      this.button1.Text = "OK";
      this.button1.Click += new System.EventHandler(this.button1_Click);
      // 
      // button2
      // 
      this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
      this.button2.Location = new System.Drawing.Point(176, 216);
      this.button2.Name = "button2";
      this.button2.TabIndex = 1;
      this.button2.Text = "Cancel";
      // 
      // label1
      // 
      this.label1.Location = new System.Drawing.Point(8, 24);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(56, 16);
      this.label1.TabIndex = 2;
      this.label1.Text = "Table";
      // 
      // label2
      // 
      this.label2.Location = new System.Drawing.Point(8, 56);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(104, 16);
      this.label2.TabIndex = 3;
      this.label2.Text = "Column Operation";
      // 
      // comboBox1
      // 
      this.comboBox1.Location = new System.Drawing.Point(136, 16);
      this.comboBox1.Name = "comboBox1";
      this.comboBox1.Size = new System.Drawing.Size(121, 21);
      this.comboBox1.TabIndex = 4;
      this.comboBox1.Text = "Select Table";
      // 
      // comboBox2
      // 
      this.comboBox2.Items.AddRange(new object[] {
                               "Add",
                               "Drop"});
      this.comboBox2.Location = new System.Drawing.Point(136, 48);
      this.comboBox2.Name = "comboBox2";
      this.comboBox2.Size = new System.Drawing.Size(121, 21);
      this.comboBox2.TabIndex = 5;
      this.comboBox2.Text = "Operation";
      this.comboBox2.SelectedIndexChanged += new System.EventHandler(this.comboBox2_SelectedIndexChanged);
      // 
      // sqlConnection1
      // 
      this.sqlConnection1.ConnectionString = "workstation id=tiger;packet size=4096;user id=webuser;data source=\"karpuz.cs." +
        "tamu.edu\";persist security info=True;initial catalog=BANKING;password=\"tester\"";
      // 
      // label3
      // 
      this.label3.Location = new System.Drawing.Point(8, 80);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(100, 16);
      this.label3.TabIndex = 6;
      this.label3.Text = "Add Column Name";
      // 
      // textBox1
      // 
      this.textBox1.Location = new System.Drawing.Point(136, 80);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new System.Drawing.Size(120, 20);
      this.textBox1.TabIndex = 7;
      this.textBox1.Text = "";
      // 
      // label4
      // 
      this.label4.Location = new System.Drawing.Point(8, 176);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(104, 16);
      this.label4.TabIndex = 8;
      this.label4.Text = "Drop Column Name";
      // 
      // comboBox3
      // 
      this.comboBox3.Location = new System.Drawing.Point(136, 176);
      this.comboBox3.Name = "comboBox3";
      this.comboBox3.Size = new System.Drawing.Size(121, 21);
      this.comboBox3.TabIndex = 9;
      // 
      // comboBox4
      // 
      this.comboBox4.Items.AddRange(new object[]{"int",
                                                 "varchar",
                                                 "datetime",
                                                 "text",
                                                 "float",
                                                 "money"});
      this.comboBox4.Location = new System.Drawing.Point(136, 112);
      this.comboBox4.Name = "comboBox4";
      this.comboBox4.Size = new System.Drawing.Size(121, 21);
      this.comboBox4.TabIndex = 11;
      this.comboBox4.SelectedIndexChanged += new System.EventHandler(this.comboBox4_SelectedIndexChanged);
      // 
      // label5
      // 
      this.label5.Location = new System.Drawing.Point(8, 112);
      this.label5.Name = "label5";
      this.label5.Size = new System.Drawing.Size(100, 16);
      this.label5.TabIndex = 10;
      this.label5.Text = "Add Column Type";
      // 
      // textBox2
      // 
      this.textBox2.Enabled = false;
      this.textBox2.Location = new System.Drawing.Point(136, 144);
      this.textBox2.Name = "textBox2";
      this.textBox2.Size = new System.Drawing.Size(120, 20);
      this.textBox2.TabIndex = 13;
      this.textBox2.Text = "";
      // 
      // label6
      // 
      this.label6.Location = new System.Drawing.Point(8, 144);
      this.label6.Name = "label6";
      this.label6.Size = new System.Drawing.Size(100, 16);
      this.label6.TabIndex = 12;
      this.label6.Text = "Add Column Size";
      // 
      // Alter
      // 
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(292, 261);
      this.Controls.Add(this.textBox2);
      this.Controls.Add(this.label6);
      this.Controls.Add(this.comboBox4);
      this.Controls.Add(this.label5);
      this.Controls.Add(this.comboBox3);
      this.Controls.Add(this.label4);
      this.Controls.Add(this.textBox1);
      this.Controls.Add(this.label3);
      this.Controls.Add(this.comboBox2);
      this.Controls.Add(this.comboBox1);
      this.Controls.Add(this.label2);
      this.Controls.Add(this.label1);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.button1);
      this.Name = "Alter";
      this.Text = "Alter";
      this.ResumeLayout(false);
    }
    #endregion

    private void comboBox2_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      if(comboBox2.Text=="Add")
      {
        textBox1.Enabled = true;
        
        comboBox3.Enabled = false;
        comboBox4.Enabled = true;
      }
      if(comboBox2.Text=="Drop")
      {
        textBox1.Enabled = false;
        textBox2.Enabled = false;
        comboBox3.Enabled = true;
        comboBox4.Enabled = false;
        tablename = comboBox1.Text;
        operation = comboBox2.Text;
        colName = comboBox3.Text;
        ArrayList columns = new ArrayList();
        columns = DataFunctions.ListColumns(sqlConnection1.ConnectionString,tablename);

        foreach(string name in columns)
          comboBox3.Items.Add(name);
      }
    }

    private void button1_Click(object sender, System.EventArgs e)
    {
      if(comboBox2.Text=="Add")
      {
        tablename = comboBox1.Text;
        operation = comboBox2.Text;
        colType = comboBox4.Text;
        colName = textBox1.Text;
        if(textBox2.Enabled == true)
          colSize = Convert.ToInt32(textBox2.Text);
        else
          colSize = -1;
      }
      if(comboBox2.Text=="Drop")
      {
        tablename = comboBox1.Text;
        operation = comboBox2.Text;
        colName = comboBox3.Text;
      }
    }

    private void comboBox4_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      if((comboBox4.Text=="float")||(comboBox4.Text=="varchar"))
        textBox2.Enabled = true;
      else 
        textBox2.Enabled = false;
    }
  }

}
