using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;
using System.Data.OleDb;
using Microsoft.ApplicationBlocks.Data;

namespace DBOPS
{
  public class DBOpsForm00 : System.Windows.Forms.Form
  {
    private SqlCommandBuilder cmdB; //for automatic command generation
    private DataSet ds = new DataSet();
    private SqlDataAdapter  da;
    private string connectionString;
    private System.Data.SqlClient.SqlConnection sqlConnection1;

    private SqlConnection connection = null;

    internal System.Windows.Forms.Label Label1;

    private System.Windows.Forms.DataGrid dataGrid1;
    private System.Windows.Forms.ComboBox comboBox1;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.Label label3;
    private System.Windows.Forms.TextBox textBox1;
    private System.Windows.Forms.TextBox textBox2;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.TextBox textBox3;
    private System.Windows.Forms.Label label5;
    private System.Windows.Forms.Button btnSaveChanges;
    private System.Windows.Forms.Button btnDrop;
    private System.Windows.Forms.Button btnQuery;
    private System.Windows.Forms.Button btnConnect;
    private System.Windows.Forms.Button btnCreate;
    private System.Windows.Forms.Button btnAlter;
    private System.Windows.Forms.Button btnDisconnect;
    private System.Windows.Forms.TextBox textBox4;
    private System.Windows.Forms.Label label6;

    /// <summary>
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.Container components = null;

    public DBOpsForm00()
    {
      InitializeComponent();
    }
    
    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose(bool disposing)
    {
      if(disposing)
      {
        if(components != null) 
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    #region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
      this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
      this.Label1 = new System.Windows.Forms.Label();
      this.btnCreate = new System.Windows.Forms.Button();
      this.dataGrid1 = new System.Windows.Forms.DataGrid();
      this.btnAlter = new System.Windows.Forms.Button();
      this.comboBox1 = new System.Windows.Forms.ComboBox();
      this.label2 = new System.Windows.Forms.Label();
      this.label3 = new System.Windows.Forms.Label();
      this.textBox1 = new System.Windows.Forms.TextBox();
      this.textBox2 = new System.Windows.Forms.TextBox();
      this.label4 = new System.Windows.Forms.Label();
      this.textBox3 = new System.Windows.Forms.TextBox();
      this.label5 = new System.Windows.Forms.Label();
      this.btnSaveChanges = new System.Windows.Forms.Button();
      this.btnDrop = new System.Windows.Forms.Button();
      this.btnQuery = new System.Windows.Forms.Button();
      this.btnConnect = new System.Windows.Forms.Button();
      this.btnDisconnect = new System.Windows.Forms.Button();
      this.textBox4 = new System.Windows.Forms.TextBox();
      this.label6 = new System.Windows.Forms.Label();
      ((System.ComponentModel.ISupportInitialize)(this.dataGrid1)).BeginInit();
      this.SuspendLayout();
      //
      // sqlConnection1
      //
      this.sqlConnection1.ConnectionString = "workstation id=EVILMATT;packet size=4096;user id=webuser;data source=\"karpuz.cs." +
        "tamu.edu\";persist security info=True;initial catalog=BANKING;password=\"tester\"";
      //
      // Label1
      //
      this.Label1.Location = new System.Drawing.Point(112, 48);
      this.Label1.Name = "Label1";
      this.Label1.Size = new System.Drawing.Size(136, 16);
      this.Label1.TabIndex = 15;
      this.Label1.Text = "Results";
      // 
      // btnCreate
      // 
      this.btnCreate.Enabled = false;
      this.btnCreate.Location = new System.Drawing.Point(8, 120);
      this.btnCreate.Name = "btnCreate";
      this.btnCreate.Size = new System.Drawing.Size(88, 23);
      this.btnCreate.TabIndex = 16;
      this.btnCreate.Text = "Create Table";
      this.btnCreate.Click += new System.EventHandler(this.button1_Click);
      // 
      // dataGrid1
      // 
      this.dataGrid1.DataMember = "";
      this.dataGrid1.HeaderForeColor = System.Drawing.SystemColors.ControlText;
      this.dataGrid1.Location = new System.Drawing.Point(112, 72);
      this.dataGrid1.Name = "dataGrid1";
      this.dataGrid1.Size = new System.Drawing.Size(624, 496);
      this.dataGrid1.TabIndex = 17;
      this.dataGrid1.Navigate += new System.Windows.Forms.NavigateEventHandler(this.dataGrid1_Navigate);
      //
      // btnAlter
      //
      this.btnAlter.Enabled = false;
      this.btnAlter.Location = new System.Drawing.Point(8, 160);
      this.btnAlter.Name = "btnAlter";
      this.btnAlter.Size = new System.Drawing.Size(88, 23);
      this.btnAlter.TabIndex = 18;
      this.btnAlter.Text = "Alter";
      this.btnAlter.Click += new System.EventHandler(this.button2_Click);
      //
      // comboBox1
      //
      this.comboBox1.Enabled = false;
      this.comboBox1.Location = new System.Drawing.Point(8, 80);
      this.comboBox1.Name = "comboBox1";
      this.comboBox1.Size = new System.Drawing.Size(88, 21);
      this.comboBox1.TabIndex = 19;
      this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
      //
      // label2
      //
      this.label2.Location = new System.Drawing.Point(8, 56);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(72, 16);
      this.label2.TabIndex = 20;
      this.label2.Text = "Table Name";
      //
      // label3
      //
      this.label3.Location = new System.Drawing.Point(8, 8);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(40, 16);
      this.label3.TabIndex = 21;
      this.label3.Text = "Server";
      //
      // textBox1
      //
      this.textBox1.Location = new System.Drawing.Point(48, 8);
      this.textBox1.Name = "textBox1";
      this.textBox1.TabIndex = 22;
      this.textBox1.Text = "karpuz.cs.tamu.edu";
      //
      // textBox2
      //
      this.textBox2.Location = new System.Drawing.Point(248, 8);
      this.textBox2.Name = "textBox2";
      this.textBox2.TabIndex = 24;
      this.textBox2.Text = "tester";
      // 
      // label4
      // 
      this.label4.Location = new System.Drawing.Point(184, 8);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(64, 16);
      this.label4.TabIndex = 23;
      this.label4.Text = "User Name";
      //
      // textBox3
      //
      this.textBox3.Location = new System.Drawing.Point(448, 8);
      this.textBox3.Name = "textBox3";
      this.textBox3.PasswordChar = '*';
      this.textBox3.TabIndex = 26;
      this.textBox3.Text = "tester";
      //
      // label5
      //
      this.label5.Location = new System.Drawing.Point(392, 8);
      this.label5.Name = "label5";
      this.label5.Size = new System.Drawing.Size(56, 16);
      this.label5.TabIndex = 25;
      this.label5.Text = "Password";
      //
      // btnSaveChanges
      //
      this.btnSaveChanges.Enabled = false;
      this.btnSaveChanges.Location = new System.Drawing.Point(8, 200);
      this.btnSaveChanges.Name = "btnSaveChanges";
      this.btnSaveChanges.Size = new System.Drawing.Size(88, 23);
      this.btnSaveChanges.TabIndex = 27;
      this.btnSaveChanges.Text = "Save Changes";
      this.btnSaveChanges.Click += new System.EventHandler(this.btnSaveChanges_Click);
      //
      // btnDrop
      //
      this.btnDrop.Enabled = false;
      this.btnDrop.Location = new System.Drawing.Point(8, 240);
      this.btnDrop.Name = "btnDrop";
      this.btnDrop.Size = new System.Drawing.Size(88, 23);
      this.btnDrop.TabIndex = 28;
      this.btnDrop.Text = "Drop";
      this.btnDrop.Click += new System.EventHandler(this.btnDrop_Click);
      //
      // btnQuery
      //
      this.btnQuery.Enabled = false;
      this.btnQuery.Location = new System.Drawing.Point(8, 280);
      this.btnQuery.Name = "btnQuery";
      this.btnQuery.Size = new System.Drawing.Size(88, 23);
      this.btnQuery.TabIndex = 29;
      this.btnQuery.Text = "Query";
      this.btnQuery.Click += new System.EventHandler(this.btnQuery_Click);
      //
      // btnConnect
      //
      this.btnConnect.Location = new System.Drawing.Point(552, 40);
      this.btnConnect.Name = "btnConnect";
      this.btnConnect.TabIndex = 30;
      this.btnConnect.Text = "Connect";
      this.btnConnect.Click += new System.EventHandler(this.btnConnect_Click);
      //
      // btnDisconnect
      //
      this.btnDisconnect.Enabled = false;
      this.btnDisconnect.Location = new System.Drawing.Point(656, 40);
      this.btnDisconnect.Name = "btnDisconnect";
      this.btnDisconnect.TabIndex = 31;
      this.btnDisconnect.Text = "Disconnect";
      this.btnDisconnect.Click += new System.EventHandler(this.Disconnect_Click);
      //
      // textBox4
      //
      this.textBox4.Location = new System.Drawing.Point(632, 8);
      this.textBox4.Name = "textBox4";
      this.textBox4.TabIndex = 33;
      this.textBox4.Text = "BANKING";
      // 
      // label6
      // 
      this.label6.Location = new System.Drawing.Point(576, 8);
      this.label6.Name = "label6";
      this.label6.Size = new System.Drawing.Size(56, 16);
      this.label6.TabIndex = 32;
      this.label6.Text = "Database";
      //
      // Form1
      //
      this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
      this.ClientSize = new System.Drawing.Size(744, 597);
      this.Controls.Add(this.textBox4);
      this.Controls.Add(this.label6);
      this.Controls.Add(this.btnDisconnect);
      this.Controls.Add(this.btnConnect);
      this.Controls.Add(this.btnQuery);
      this.Controls.Add(this.btnDrop);
      this.Controls.Add(this.btnSaveChanges);
      this.Controls.Add(this.textBox3);
      this.Controls.Add(this.label5);
      this.Controls.Add(this.textBox2);
      this.Controls.Add(this.label4);
      this.Controls.Add(this.textBox1);
      this.Controls.Add(this.label3);
      this.Controls.Add(this.label2);
      this.Controls.Add(this.comboBox1);
      this.Controls.Add(this.btnAlter);
      this.Controls.Add(this.dataGrid1);
      this.Controls.Add(this.btnCreate);
      this.Controls.Add(this.Label1);
      this.Name = "DBOpsForm00";
      this.Text = "DBForm";
      ((System.ComponentModel.ISupportInitialize)(this.dataGrid1)).EndInit();
      this.ResumeLayout(false);

    }
    #endregion

    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main()
    {
      Application.Run(new Form1());
    }

    private void button1_Click(object sender, System.EventArgs e)
    {
      // SqlConnection that will be used to execute the sql commands
      try
      {
        Create dlg = new Create();
        dlg.ShowDialog();
        if(dlg.DialogResult == DialogResult.OK) 
        {
          string commandString;
          // Call ExecuteReader static method of SqlHelper class that returns a SqlDataReader
          // We pass in database connection string, stored procedure name and a "1" as value of categoryID parameter
          if(dlg.indextype == "varchar")
            commandString = "CREATE TABLE " + dlg.tablename + " (" + dlg.indexname + " " +
              dlg.indextype + "(" + dlg.indexLen + ")" + " PRIMARY KEY);";
          else
            commandString = "CREATE TABLE " + dlg.tablename + " (" + dlg.indexname + " " +
              dlg.indextype + " PRIMARY KEY);";
              
          SqlHelper.ExecuteNonQuery(connection,CommandType.Text,commandString);
          comboBox1.Text = dlg.tablename;
          RefreshGrid();
        }
      }
      catch(Exception ex) {
        string errMessage = "";
        for(Exception tempException = ex; tempException != null ; tempException = tempException.InnerException)
          errMessage += tempException.Message + Environment.NewLine + Environment.NewLine;

        MessageBox.Show(string.Format(ex.Message), "Application error", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
    }

    private void button2_Click(object sender, System.EventArgs e)
    {
      try
      {
        Alter dlg = new Alter(this.connectionString);
        dlg.ShowDialog();
        if(dlg.DialogResult == DialogResult.OK) 
        {
          // Call ExecuteReader static method of SqlHelper class that returns a SqlDataReader
          // We pass in database connection string, stored procedure name and a "1" as value of categoryID parameter
          string commandString = "";
          switch(dlg.operation)
          {
            case "Add":
            {
              if(dlg.colSize == -1)
                commandString = "ALTER TABLE " + dlg.tablename + " " + dlg.operation + " " + dlg.colName + " " + dlg.colType +";";  
              else
                                commandString = "ALTER TABLE " + dlg.tablename + " " + dlg.operation + " " + dlg.colName + " " + dlg.colType + "(" + dlg.colSize +");";
            }
              break;
            case "Drop":
            {
              commandString = "ALTER TABLE " + dlg.tablename + " " + dlg.operation + " COLUMN " + dlg.colName + ";";
            }
              break;
            default:
              commandString = "ERROR";
              break;
          }
          SqlHelper.ExecuteNonQuery(connection,CommandType.Text,commandString);
          RefreshGrid();
        }
      }
      catch(Exception ex)
      {
        string errMessage = "";
        for(Exception tempException = ex; tempException != null ; tempException = tempException.InnerException)
          errMessage += tempException.Message + Environment.NewLine + Environment.NewLine;

        MessageBox.Show(string.Format(ex.Message), "Application error", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
    }

    private void dataGrid1_Navigate(object sender, System.Windows.Forms.NavigateEventArgs ne)
    {
    }

    private void btnConnect_Click(object sender, System.EventArgs e)
    {
      //string ConnectionString = sqlConnection1.ConnectionString;
      this.connectionString = "user id=" +textBox2.Text + ";" +
      "data source=" + textBox1.Text + ";" + //\"karpuz.cs.tamu.edu\";" +
      "initial catalog=" + textBox4.Text + ";" +
      "password=" + textBox3.Text + ";";
      connection = new SqlConnection(this.connectionString);
      
      try
      {
        connection.Open();
      
        ArrayList tables = new ArrayList();
        //tables = DataFunctions.ListTables(sqlConnection1.ConnectionString);
        tables = DataFunctions.ListTables(this.connectionString);

        foreach(string name in tables)
          comboBox1.Items.Add(name);
  
        if(comboBox1.Enabled ==false)
          comboBox1.Enabled = true;

        //connection.Close();
        btnConnect.Enabled = false;
        btnAlter.Enabled = true;
        btnCreate.Enabled = true;
        btnDrop.Enabled = true;
        btnQuery.Enabled = true;
        btnDisconnect.Enabled = true;
        btnSaveChanges.Enabled = true;
      }
      catch(Exception ex)
      {
        string errMessage = "";
        for(Exception tempException = ex; tempException != null ; tempException = tempException.InnerException)
          errMessage += tempException.Message + Environment.NewLine + Environment.NewLine;

        MessageBox.Show(string.Format(ex.Message), "Application error", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
    }

    private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      RefreshGrid();
    }

    private void RefreshGrid()
    {
      dataGrid1.DataSource = null;
      ds = new DataSet();

      ///instantiate SqlDataAdapter to create DataSet
      da = new SqlDataAdapter("SELECT * FROM " + comboBox1.Text ,connection);
      
      /// the following is for creating automatic command builder
      cmdB = new SqlCommandBuilder(da);

      ///fill the dataset
      da.Fill(ds, comboBox1.Text);
      
      ///set the dataset as a datasource for windows datagrid
      dataGrid1.SetDataBinding(ds,comboBox1.Text);
      //dataGrid1.DataSource=ds.Tables[0].DefaultView;
      dataGrid1.Refresh();
    }

    private void btnSaveChanges_Click(object sender, System.EventArgs e)
    {
      try
      {
        /// Without the SqlCommandBuilder, this line would fail. 
        da.Update(ds,comboBox1.Text); 
      }
      catch(Exception ex)
      {
        MessageBox.Show(ex.ToString());
      }
    }

    private void btnDrop_Click(object sender, System.EventArgs e)
    {
      try
      {
        Drop dlg = new Drop(this.connectionString);
        dlg.ShowDialog();
        if(dlg.DialogResult == DialogResult.OK) 
        {
          // Call ExecuteReader static method of SqlHelper class that returns a SqlDataReader
          // We pass in database connection string, stored procedure name and a "1" as value of categoryID parameter
          SqlHelper.ExecuteNonQuery(connection,CommandType.Text,"DROP TABLE " + dlg.tablename + ";");
                
          // display results in textbox on the form.
          ds = null;
          dataGrid1.DataSource = null;
          dataGrid1.Refresh();

          ArrayList tables = new ArrayList();
          tables = DataFunctions.ListTables(sqlConnection1.ConnectionString);
          comboBox1.Items.Clear();
          foreach(string name in tables)
            comboBox1.Items.Add(name);
        }
      }
      catch(Exception ex)
      {
        string errMessage = "";
        for(Exception tempException = ex; tempException != null ; tempException = tempException.InnerException)
          errMessage += tempException.Message + Environment.NewLine + Environment.NewLine;

        MessageBox.Show(string.Format(ex.Message), "Application error", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
    }

    private void btnQuery_Click(object sender, System.EventArgs e)
    {
      try
      {
        Query dlg = new Query(this.connectionString);
        dlg.ShowDialog();
        if(dlg.DialogResult == DialogResult.OK) 
        {
          // Call ExecuteReader static method of SqlHelper class that returns a SqlDataReader
          // We pass in database connection string, stored procedure name and a "1" as value of categoryID parameter
          string commandString = dlg.str_query;

          //SqlHelper.ExecuteNonQuery(connection,CommandType.Text,commandString);

          // display results in textbox on the form.
          ds = SqlHelper.ExecuteDataset(connection, CommandType.Text, commandString);

          //dataGrid1.SetDataBinding(ds,dlg.tablename);
          dataGrid1.DataSource = ds.Tables[0].DefaultView;
          //dataGrid1.DataMember = dlg.tablename;
          dataGrid1.Refresh();
        }
      }
      catch(Exception ex)
      {
        string errMessage = "";
        for(Exception tempException = ex; tempException != null ; tempException = tempException.InnerException)
          errMessage += tempException.Message + Environment.NewLine + Environment.NewLine;

        MessageBox.Show(string.Format(ex.Message), "Application error", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
    }

    private void Disconnect_Click(object sender, System.EventArgs e)
    {
      if(comboBox1.Enabled == true)
        comboBox1.Enabled = false;

      connection.Close();
      comboBox1.Text = "";
      comboBox1.Items.Clear();
      btnConnect.Enabled = true;
      btnDisconnect.Enabled = false;
      btnAlter.Enabled = false;
      btnCreate.Enabled = false;
      btnSaveChanges.Enabled = false;
      btnDrop.Enabled = false;
      btnQuery.Enabled = false;
      dataGrid1.DataSource = null;
      dataGrid1.Refresh();
    }
  }

}
