using System;
using System.Collections;
using System.Data;
using System.Data.OleDb;
using System.Data.SqlClient;

namespace DBOPS
{
  public class DataFunctions
  {
    public DataFunctions()
    {
    }

    public static ArrayList ListTables(string connectionString)
    {
      ArrayList tables = new ArrayList();

      SqlConnection cn = new SqlConnection(connectionString);
      SqlDataAdapter da = new SqlDataAdapter("SELECT * FROM Information_Schema.Tables where Table_Type = 'BASE TABLE'", cn);
      DataTable dt = new DataTable();
      da.Fill(dt);

      foreach(DataRow dr in dt.Rows)
        if(dr.ItemArray[2].ToString() != "dtproperties")
          tables.Add(dr.ItemArray[2].ToString());

      return tables;
    }

    public static ArrayList ListColumns(string connectionString, string tableName)
    {
      ArrayList columns = new ArrayList();

      SqlConnection cn = new SqlConnection(connectionString);
      SqlDataAdapter da = new SqlDataAdapter("SELECT * FROM " + tableName, cn);
      DataTable dt = new DataTable();
      da.Fill(dt);

      foreach(DataColumn dc in dt.Columns)
        columns.Add(dc.ColumnName.ToString());

      return columns;
    }
  }

}
